JceKTSKeyTransRecipientInfoGenerator (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms.jcajce

## Class JceKTSKeyTransRecipientInfoGenerator

- java.lang.Object
- - org.bouncycastle.cms.KeyTransRecipientInfoGenerator
  - - org.bouncycastle.cms.jcajce.JceKTSKeyTransRecipientInfoGenerator

- All Implemented Interfaces:
    RecipientInfoGenerator

      public class JceKTSKeyTransRecipientInfoGenerator
      extends KeyTransRecipientInfoGenerator

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.cms.KeyTransRecipientInfoGenerator

      `wrapper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JceKTSKeyTransRecipientInfoGenerator(byte[] subjectKeyIdentifier, org.bouncycastle.asn1.x509.AlgorithmIdentifier algorithmIdentifier, java.security.PublicKey publicKey)` Create a generator overriding the algorithm type implied by the public key passed in.
    `JceKTSKeyTransRecipientInfoGenerator(byte[] subjectKeyIdentifier, java.security.PublicKey publicKey, java.lang.String symmetricWrappingAlg, int keySizeInBits)`
    `JceKTSKeyTransRecipientInfoGenerator(java.security.cert.X509Certificate recipientCert, org.bouncycastle.asn1.x509.AlgorithmIdentifier algorithmIdentifier)` Create a generator overriding the algorithm type implied by the public key in the certificate passed in.
    `JceKTSKeyTransRecipientInfoGenerator(java.security.cert.X509Certificate recipientCert, java.lang.String symmetricWrappingAlg, int keySizeInBits)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JceKTSKeyTransRecipientInfoGenerator` | `setProvider(java.security.Provider provider)`
    `JceKTSKeyTransRecipientInfoGenerator` | `setProvider(java.lang.String providerName)`

    - ### Methods inherited from class org.bouncycastle.cms.KeyTransRecipientInfoGenerator

      `generate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JceKTSKeyTransRecipientInfoGenerator

          public JceKTSKeyTransRecipientInfoGenerator(java.security.cert.X509Certificate recipientCert,
                                              java.lang.String symmetricWrappingAlg,
                                              int keySizeInBits)
                                               throws java.security.cert.CertificateEncodingException

      Throws:
        `java.security.cert.CertificateEncodingException`

    - #### JceKTSKeyTransRecipientInfoGenerator

          public JceKTSKeyTransRecipientInfoGenerator(byte[] subjectKeyIdentifier,
                                              java.security.PublicKey publicKey,
                                              java.lang.String symmetricWrappingAlg,
                                              int keySizeInBits)

    - #### JceKTSKeyTransRecipientInfoGenerator

          public JceKTSKeyTransRecipientInfoGenerator(java.security.cert.X509Certificate recipientCert,
                                              org.bouncycastle.asn1.x509.AlgorithmIdentifier algorithmIdentifier)
                                               throws java.security.cert.CertificateEncodingException

      Create a generator overriding the algorithm type implied by the public key in the certificate passed in.
      Parameters:
        `recipientCert` - certificate carrying the public key.
        `algorithmIdentifier` - the identifier and parameters for the encryption algorithm to be used.
      Throws:
        `java.security.cert.CertificateEncodingException`

    - #### JceKTSKeyTransRecipientInfoGenerator

          public JceKTSKeyTransRecipientInfoGenerator(byte[] subjectKeyIdentifier,
                                              org.bouncycastle.asn1.x509.AlgorithmIdentifier algorithmIdentifier,
                                              java.security.PublicKey publicKey)

      Create a generator overriding the algorithm type implied by the public key passed in.
      Parameters:
        `subjectKeyIdentifier` - the subject key identifier value to associate with the public key.
        `algorithmIdentifier` - the identifier and parameters for the encryption algorithm to be used.
        `publicKey` - the public key to use.

  - ### Method Detail

    - #### setProvider

          public JceKTSKeyTransRecipientInfoGenerator setProvider(java.lang.String providerName)

    - #### setProvider

          public JceKTSKeyTransRecipientInfoGenerator setProvider(java.security.Provider provider)